Mise à jour mysql 5.5

Fermé
-
 thildouille -
Bonjour
je viens de prendre un dédié chez OVH, un Debian nue que j'équipe de ce dont j'ai besoin. J'ai installé les paquets:
mysql-server mysql-client mysql-common
je suis actuellement en MySQL: 5.1.63

J'ai besoin de passer en version 5.5, j'ai récupéré la version mysql-5.5.28-debian6.0-x86_64.deb sur le site officiel

je l'ai installé via: dpkg -i mysql-5.5.28-debian6.0-x86_64.deb, message installation en cour et puis ça s'est terminé sans erreurs.

Mais il n'y a pas eu de changement, en me connectant à Mysql, j'ai toujours la version MySQL: Server version: 5.1.63-0+squeeze1-log (Debian)

Mysql 5.5 est bien dans /opt/mysql/server-5.5
J'ai essayé cela:

cp server-5.5/support-files/my-huge.cnf /etc/my.cnf
rajouté PATH=/opt/mysql/server-5.5/bin:$PATH dans /etc/profile
lancé le script sh mysql_install_db --user=mysql dans /opt/mysqlserver-5.5/scripts




Mais voici le message d'erreur que j'ai:



Installing MySQL system tables...
121013 9:44:51 [ERROR] /usr/sbin/mysqld: unknown variable 'lc-messages-dir=/usr/share/mysql/english/..'
121013 9:44:51 [ERROR] Aborting

121013 9:44:51 [Note] /usr/sbin/mysqld: Shutdown complete


Installation of system tables failed! Examine the logs in
/var/lib/mysql for more information.

You can try to start the mysqld daemon with:

shell> /usr/sbin/mysqld --skip-grant &

and use the command line tool /usr/bin/mysql
to connect to the mysql database and look at the grant tables:

shell> /usr/bin/mysql -u root mysql
mysql> show tables





Faut-il d'abord effacer la version 5.1 avant d'installer la nouvelle version?
Merci de votre aide



2 réponses

Messages postés
1231
Date d'inscription
mardi 7 juin 2011
Statut
Membre
Dernière intervention
24 mai 2015
344
Bonjour,

Si tu veux utiliser des paquets plus à jour que ceux présents sous Squeeze, tu ferais mieux de passer à Wheezy.
Pour cela, ajoute les lignes suivantes à ton /etc/apt/sources.list
deb http://ftp.fr.debian.org/debian/ wheezy main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ wheezy main contrib non-free

(contrib et non-free ne sont nécessaires que si tu veux avoir aussi accès aux paquets qui ne correspondent pas entièrement à la charte Debian, et aux paquets propriétaires)

Puis fait une mise à jour :
sudo apt-get update
sudo apt-get dist-upgrade


Si tu tiens à rester sous Squeeze, tu peux ajouter des dépôts officiels qui proposent les mises à jour. Tu trouveras des infos sur le site de Debian...

Bonne chance,

Merci
je suis passé à Wheezy, mysql 5.5 est en place.

Merci encore